Bug 590329 - (perl-MooseX-Traits) Review Request: perl-MooseX-Traits - Automatically apply roles at object creation time
Review Request: perl-MooseX-Traits - Automatically apply roles at object crea...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Tr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 16:26 EDT by Chris Weyl
Modified: 2013-05-10 10:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-29 02:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2010-05-08 16:26:38 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Traits.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Traits-0.09-1.fc13.src.rpm

Description:
MooseX::Traits allows one to arbitrarily add components to an object as
needed, w/o having to explicitly construct new classes: e.g.

    Foo->with_traits('Bar')->new(...);

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2174527

*rt-0.10_01
Comment 1 Iain Arnell 2010-05-28 04:49:21 EDT
+ source files match upstream.  
    136f624a9d8084a6ef27aad62479d2a6  MooseX-Traits-0.09.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
- latest version is being packaged.
    0.11 is available now

- BuildRequires are proper.
    missing BR perl(MooseX::Role::Parameterized)

+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2215120

+ package installs properly.
+ rpmlint has no complaints:
    perl-MooseX-Traits.noarch: I: checking
    perl-MooseX-Traits.noarch: I: checking-url http://search.cpan.org/dist/MooseX-Traits (timeout 10 seconds)
    perl-MooseX-Traits.src: I: checking
    perl-MooseX-Traits.src: I: checking-url http://search.cpan.org/dist/MooseX-Traits (timeout 10 seconds)
    perl-MooseX-Traits.src: I: checking-url http://search.cpan.org/CPAN/authors/id/J/JR/JROCKWAY/MooseX-Traits-0.09.tar.gz (timeout 10 seconds)
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
    perl(MooseX::Traits) = 0.09
    perl(MooseX::Traits::Util)  
    perl-MooseX-Traits = 0.09-1.fc14
=
    perl(Carp)  
    perl(Class::MOP) >= 0.84
    perl(:MODULE_COMPAT_5.12.0)  
    perl(Moose::Role)  
    perl(MooseX::Traits::Util)  
    perl(namespace::autoclean)  
    perl(strict)  
    perl(Sub::Exporter)  
    perl(warnings)  
    perl(warnings::register)  

+ %check is present and all tests pass.
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
    t/00-load.t ........ ok
    t/basic.t .......... ok
    t/class.t .......... ok
    t/parameterized.t .. skipped: testing parameterized roles requires MooseX::Role::Parameterized
    t/subclass.t ....... ok
    t/with-traits.t .... ok
    All tests successful.
    Files=6, Tests=69,  1 wallclock secs ( 0.03 usr  0.00 sys +  1.14 cusr  0.09 csys =  1.26 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


The only minor problem is a missing BR perl(MooseX::Role::Parameterized) - the skipped test works for me locally. And there's a newer version available now. 

APPROVED.
Comment 2 Chris Weyl 2010-05-28 19:17:41 EDT
Thanks!  I'll make sure those two things are fixed before importing.
Comment 3 Chris Weyl 2010-05-28 19:18:13 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-Traits
Short Description: Automatically apply roles at object creation time
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2010-05-29 01:53:55 EDT
CVS done (by process-cvs-requests.py).

With the release of F-13, we are no longer doing new F-11 branches.
Comment 5 Chris Weyl 2010-05-29 02:41:38 EDT
Thanks for the review! :-)
Comment 6 Andrea Veri 2013-05-10 10:17:02 EDT
Package Change Request
======================
Package Name: perl-MooseX-Traits
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2013-05-10 10:22:47 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.